SCREEN 12
CLS
SP = 2
 RL = 630
  DL = 400

DO
KE$ = INKEY$
IF R = 0 THEN H = H + SP: IF H > (RL) THEN R = 1
IF R = 1 THEN H = H - SP: IF H < 1 THEN R = 0
IF D = 0 THEN V = V + SP: IF V > (DL) THEN D = 1
IF D = 1 THEN V = V - SP: IF V < 1 THEN D = 0
CIRCLE (H, V), 30, 4: PAINT (H, V), 4
 CIRCLE (H1, V1), 30, 0: PAINT (H1, V1), 0
  H1 = H
  V1 = V
 X = RL - H
 Y = DL - V
CIRCLE (X, Y), 30, 6: PAINT (X, Y), 6
 CIRCLE (X1, Y1), 30, 0: PAINT (X1, Y1), 0
     X1 = X
     Y1 = Y
  CIRCLE (X, V), 30, 7: PAINT (X, V), 7
   CIRCLE (X1, V1), 30, 0: PAINT (X1, V1), 0

   CIRCLE (H, Y), 30, 5: PAINT (H, Y), 5
    CIRCLE (H1, Y1), 30, 0: PAINT (H1, Y1), 0



LOOP UNTIL KE$ = CHR$(27)

RUN ROOT$ + "COCOROM.BAS"

